package com.ibiz.core.module2.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;

/**
 * 实体[重要事项]
 */
public class IM implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 跨公司领导人员清单
     */
    private String kgsldids;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean kgsldidsDirtyFlag;

    /**
     * 备注
     */
    private String bz;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean bzDirtyFlag;

    /**
     * 申报类别
     */
    private String sblb;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean sblbDirtyFlag;

    /**
     * 部门领导人员清单
     */
    private String bmldids;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean bmldidsDirtyFlag;

    /**
     * 加急原因
     */
    private String jjyy;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean jjyyDirtyFlag;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createDateDirtyFlag;

    /**
     * 会签部门
     */
    private String hqbm;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean hqbmDirtyFlag;

    /**
     * 送达方式
     */
    private String sdfs;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean sdfsDirtyFlag;

    /**
     * 跨公司部门人员清单
     */
    private String kgsbmids;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean kgsbmidsDirtyFlag;

    /**
     * 上级部门
     */
    private Integer sjbm;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean sjbmDirtyFlag;

    /**
     * 其他通知阅读对象
     */
    private String qttzyddx;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean qttzyddxDirtyFlag;

    /**
     * 领导
     */
    private String ld;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean ldDirtyFlag;

    /**
     * 标题
     */
    private String iMName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean iMNameDirtyFlag;

    /**
     * 流程编号
     */
    private String lcbh;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean lcbhDirtyFlag;

    /**
     * 内部审核人员清单
     */
    private String ngshids;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean ngshidsDirtyFlag;

    /**
     * 跨公司领导
     */
    private String kgsld;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean kgsldDirtyFlag;

    /**
     * 审核方式
     */
    private String shfs;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean shfsDirtyFlag;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateDateDirtyFlag;

    /**
     * 重要事项标识
     */
    private String iMId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean iMIdDirtyFlag;

    /**
     * 申报类型
     */
    private String sblx;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean sblxDirtyFlag;

    /**
     * 通知阅读
     */
    private Integer tzyd;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean tzydDirtyFlag;

    /**
     * 流程实例
     */
    private String wfinstanceid;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean wfinstanceidDirtyFlag;

    /**
     * 部门领导
     */
    private String bmld;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean bmldDirtyFlag;

    /**
     * 通知阅读原因
     */
    private String tzydyy;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean tzydyyDirtyFlag;

    /**
     * 工作流状态
     */
    private String imwfstate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean imwfstateDirtyFlag;

    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createManDirtyFlag;

    /**
     * 阅知对象
     */
    private String yzdx;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean yzdxDirtyFlag;

    /**
     * 内部审核
     */
    private String ngsh;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean ngshDirtyFlag;

    /**
     * 缓急程度
     */
    private String hjcd;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean hjcdDirtyFlag;

    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateManDirtyFlag;

    /**
     * 领导人员清单
     */
    private String ldids;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean ldidsDirtyFlag;

    /**
     * 会签部门人员清单
     */
    private String hqbmids;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean hqbmidsDirtyFlag;

    /**
     * 跨公司部门
     */
    private String kgsbm;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean kgsbmDirtyFlag;

    /**
     * 重要事项审批步骤
     */
    private String wfstep;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean wfstepDirtyFlag;

    /**
     * 主办部门
     */
    private String zbbm;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean zbbmDirtyFlag;

    /**
     * 拟稿日期
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    private Timestamp ngrq;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean ngrqDirtyFlag;

    /**
     * PSID
     */
    private String pSId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean pSIdDirtyFlag;

    /**
     * REST
     */
    private String rest;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean restDirtyFlag;


    /**
     * 获取 [跨公司领导人员清单]
     */
    @JsonProperty("kgsldids")
    @JSONField(name="kgsldids")
    public String getKgsldids(){
        return this.kgsldids ;
    }

    /**
     * 设置 [跨公司领导人员清单]
     */
    @JsonProperty("kgsldids")
    @JSONField(name="kgsldids")
    public void setKgsldids(String kgsldids){
        this.kgsldids = kgsldids ;
        this.kgsldidsDirtyFlag = true ;
    }

    /**
     * 获取 [跨公司领导人员清单]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getKgsldidsDirtyFlag(){
        return this.kgsldidsDirtyFlag ;
    }
    /**
     * 获取 [备注]
     */
    @JsonProperty("bz")
    @JSONField(name="bz")
    public String getBz(){
        return this.bz ;
    }

    /**
     * 设置 [备注]
     */
    @JsonProperty("bz")
    @JSONField(name="bz")
    public void setBz(String bz){
        this.bz = bz ;
        this.bzDirtyFlag = true ;
    }

    /**
     * 获取 [备注]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getBzDirtyFlag(){
        return this.bzDirtyFlag ;
    }
    /**
     * 获取 [申报类别]
     */
    @JsonProperty("sblb")
    @JSONField(name="sblb")
    public String getSblb(){
        return this.sblb ;
    }

    /**
     * 设置 [申报类别]
     */
    @JsonProperty("sblb")
    @JSONField(name="sblb")
    public void setSblb(String sblb){
        this.sblb = sblb ;
        this.sblbDirtyFlag = true ;
    }

    /**
     * 获取 [申报类别]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getSblbDirtyFlag(){
        return this.sblbDirtyFlag ;
    }
    /**
     * 获取 [部门领导人员清单]
     */
    @JsonProperty("bmldids")
    @JSONField(name="bmldids")
    public String getBmldids(){
        return this.bmldids ;
    }

    /**
     * 设置 [部门领导人员清单]
     */
    @JsonProperty("bmldids")
    @JSONField(name="bmldids")
    public void setBmldids(String bmldids){
        this.bmldids = bmldids ;
        this.bmldidsDirtyFlag = true ;
    }

    /**
     * 获取 [部门领导人员清单]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getBmldidsDirtyFlag(){
        return this.bmldidsDirtyFlag ;
    }
    /**
     * 获取 [加急原因]
     */
    @JsonProperty("jjyy")
    @JSONField(name="jjyy")
    public String getJjyy(){
        return this.jjyy ;
    }

    /**
     * 设置 [加急原因]
     */
    @JsonProperty("jjyy")
    @JSONField(name="jjyy")
    public void setJjyy(String jjyy){
        this.jjyy = jjyy ;
        this.jjyyDirtyFlag = true ;
    }

    /**
     * 获取 [加急原因]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getJjyyDirtyFlag(){
        return this.jjyyDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public void setCreateDate(Timestamp createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [会签部门]
     */
    @JsonProperty("hqbm")
    @JSONField(name="hqbm")
    public String getHqbm(){
        return this.hqbm ;
    }

    /**
     * 设置 [会签部门]
     */
    @JsonProperty("hqbm")
    @JSONField(name="hqbm")
    public void setHqbm(String hqbm){
        this.hqbm = hqbm ;
        this.hqbmDirtyFlag = true ;
    }

    /**
     * 获取 [会签部门]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getHqbmDirtyFlag(){
        return this.hqbmDirtyFlag ;
    }
    /**
     * 获取 [送达方式]
     */
    @JsonProperty("sdfs")
    @JSONField(name="sdfs")
    public String getSdfs(){
        return this.sdfs ;
    }

    /**
     * 设置 [送达方式]
     */
    @JsonProperty("sdfs")
    @JSONField(name="sdfs")
    public void setSdfs(String sdfs){
        this.sdfs = sdfs ;
        this.sdfsDirtyFlag = true ;
    }

    /**
     * 获取 [送达方式]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getSdfsDirtyFlag(){
        return this.sdfsDirtyFlag ;
    }
    /**
     * 获取 [跨公司部门人员清单]
     */
    @JsonProperty("kgsbmids")
    @JSONField(name="kgsbmids")
    public String getKgsbmids(){
        return this.kgsbmids ;
    }

    /**
     * 设置 [跨公司部门人员清单]
     */
    @JsonProperty("kgsbmids")
    @JSONField(name="kgsbmids")
    public void setKgsbmids(String kgsbmids){
        this.kgsbmids = kgsbmids ;
        this.kgsbmidsDirtyFlag = true ;
    }

    /**
     * 获取 [跨公司部门人员清单]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getKgsbmidsDirtyFlag(){
        return this.kgsbmidsDirtyFlag ;
    }
    /**
     * 获取 [上级部门]
     */
    @JsonProperty("sjbm")
    @JSONField(name="sjbm")
    public Integer getSjbm(){
        return this.sjbm ;
    }

    /**
     * 设置 [上级部门]
     */
    @JsonProperty("sjbm")
    @JSONField(name="sjbm")
    public void setSjbm(Integer sjbm){
        this.sjbm = sjbm ;
        this.sjbmDirtyFlag = true ;
    }

    /**
     * 获取 [上级部门]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getSjbmDirtyFlag(){
        return this.sjbmDirtyFlag ;
    }
    /**
     * 获取 [其他通知阅读对象]
     */
    @JsonProperty("qttzyddx")
    @JSONField(name="qttzyddx")
    public String getQttzyddx(){
        return this.qttzyddx ;
    }

    /**
     * 设置 [其他通知阅读对象]
     */
    @JsonProperty("qttzyddx")
    @JSONField(name="qttzyddx")
    public void setQttzyddx(String qttzyddx){
        this.qttzyddx = qttzyddx ;
        this.qttzyddxDirtyFlag = true ;
    }

    /**
     * 获取 [其他通知阅读对象]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getQttzyddxDirtyFlag(){
        return this.qttzyddxDirtyFlag ;
    }
    /**
     * 获取 [领导]
     */
    @JsonProperty("ld")
    @JSONField(name="ld")
    public String getLd(){
        return this.ld ;
    }

    /**
     * 设置 [领导]
     */
    @JsonProperty("ld")
    @JSONField(name="ld")
    public void setLd(String ld){
        this.ld = ld ;
        this.ldDirtyFlag = true ;
    }

    /**
     * 获取 [领导]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getLdDirtyFlag(){
        return this.ldDirtyFlag ;
    }
    /**
     * 获取 [标题]
     */
    @JsonProperty("imname")
    @JSONField(name="imname")
    public String getIMName(){
        return this.iMName ;
    }

    /**
     * 设置 [标题]
     */
    @JsonProperty("imname")
    @JSONField(name="imname")
    public void setIMName(String iMName){
        this.iMName = iMName ;
        this.iMNameDirtyFlag = true ;
    }

    /**
     * 获取 [标题]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getIMNameDirtyFlag(){
        return this.iMNameDirtyFlag ;
    }
    /**
     * 获取 [流程编号]
     */
    @JsonProperty("lcbh")
    @JSONField(name="lcbh")
    public String getLcbh(){
        return this.lcbh ;
    }

    /**
     * 设置 [流程编号]
     */
    @JsonProperty("lcbh")
    @JSONField(name="lcbh")
    public void setLcbh(String lcbh){
        this.lcbh = lcbh ;
        this.lcbhDirtyFlag = true ;
    }

    /**
     * 获取 [流程编号]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getLcbhDirtyFlag(){
        return this.lcbhDirtyFlag ;
    }
    /**
     * 获取 [内部审核人员清单]
     */
    @JsonProperty("ngshids")
    @JSONField(name="ngshids")
    public String getNgshids(){
        return this.ngshids ;
    }

    /**
     * 设置 [内部审核人员清单]
     */
    @JsonProperty("ngshids")
    @JSONField(name="ngshids")
    public void setNgshids(String ngshids){
        this.ngshids = ngshids ;
        this.ngshidsDirtyFlag = true ;
    }

    /**
     * 获取 [内部审核人员清单]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getNgshidsDirtyFlag(){
        return this.ngshidsDirtyFlag ;
    }
    /**
     * 获取 [跨公司领导]
     */
    @JsonProperty("kgsld")
    @JSONField(name="kgsld")
    public String getKgsld(){
        return this.kgsld ;
    }

    /**
     * 设置 [跨公司领导]
     */
    @JsonProperty("kgsld")
    @JSONField(name="kgsld")
    public void setKgsld(String kgsld){
        this.kgsld = kgsld ;
        this.kgsldDirtyFlag = true ;
    }

    /**
     * 获取 [跨公司领导]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getKgsldDirtyFlag(){
        return this.kgsldDirtyFlag ;
    }
    /**
     * 获取 [审核方式]
     */
    @JsonProperty("shfs")
    @JSONField(name="shfs")
    public String getShfs(){
        return this.shfs ;
    }

    /**
     * 设置 [审核方式]
     */
    @JsonProperty("shfs")
    @JSONField(name="shfs")
    public void setShfs(String shfs){
        this.shfs = shfs ;
        this.shfsDirtyFlag = true ;
    }

    /**
     * 获取 [审核方式]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getShfsDirtyFlag(){
        return this.shfsDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public void setUpdateDate(Timestamp updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [重要事项标识]
     */
    @JsonProperty("imid")
    @JSONField(name="imid")
    public String getIMId(){
        return this.iMId ;
    }

    /**
     * 设置 [重要事项标识]
     */
    @JsonProperty("imid")
    @JSONField(name="imid")
    public void setIMId(String iMId){
        this.iMId = iMId ;
        this.iMIdDirtyFlag = true ;
    }

    /**
     * 获取 [重要事项标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getIMIdDirtyFlag(){
        return this.iMIdDirtyFlag ;
    }
    /**
     * 获取 [申报类型]
     */
    @JsonProperty("sblx")
    @JSONField(name="sblx")
    public String getSblx(){
        return this.sblx ;
    }

    /**
     * 设置 [申报类型]
     */
    @JsonProperty("sblx")
    @JSONField(name="sblx")
    public void setSblx(String sblx){
        this.sblx = sblx ;
        this.sblxDirtyFlag = true ;
    }

    /**
     * 获取 [申报类型]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getSblxDirtyFlag(){
        return this.sblxDirtyFlag ;
    }
    /**
     * 获取 [通知阅读]
     */
    @JsonProperty("tzyd")
    @JSONField(name="tzyd")
    public Integer getTzyd(){
        return this.tzyd ;
    }

    /**
     * 设置 [通知阅读]
     */
    @JsonProperty("tzyd")
    @JSONField(name="tzyd")
    public void setTzyd(Integer tzyd){
        this.tzyd = tzyd ;
        this.tzydDirtyFlag = true ;
    }

    /**
     * 获取 [通知阅读]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getTzydDirtyFlag(){
        return this.tzydDirtyFlag ;
    }
    /**
     * 获取 [流程实例]
     */
    @JsonProperty("wfinstanceid")
    @JSONField(name="wfinstanceid")
    public String getWfinstanceid(){
        return this.wfinstanceid ;
    }

    /**
     * 设置 [流程实例]
     */
    @JsonProperty("wfinstanceid")
    @JSONField(name="wfinstanceid")
    public void setWfinstanceid(String wfinstanceid){
        this.wfinstanceid = wfinstanceid ;
        this.wfinstanceidDirtyFlag = true ;
    }

    /**
     * 获取 [流程实例]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getWfinstanceidDirtyFlag(){
        return this.wfinstanceidDirtyFlag ;
    }
    /**
     * 获取 [部门领导]
     */
    @JsonProperty("bmld")
    @JSONField(name="bmld")
    public String getBmld(){
        return this.bmld ;
    }

    /**
     * 设置 [部门领导]
     */
    @JsonProperty("bmld")
    @JSONField(name="bmld")
    public void setBmld(String bmld){
        this.bmld = bmld ;
        this.bmldDirtyFlag = true ;
    }

    /**
     * 获取 [部门领导]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getBmldDirtyFlag(){
        return this.bmldDirtyFlag ;
    }
    /**
     * 获取 [通知阅读原因]
     */
    @JsonProperty("tzydyy")
    @JSONField(name="tzydyy")
    public String getTzydyy(){
        return this.tzydyy ;
    }

    /**
     * 设置 [通知阅读原因]
     */
    @JsonProperty("tzydyy")
    @JSONField(name="tzydyy")
    public void setTzydyy(String tzydyy){
        this.tzydyy = tzydyy ;
        this.tzydyyDirtyFlag = true ;
    }

    /**
     * 获取 [通知阅读原因]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getTzydyyDirtyFlag(){
        return this.tzydyyDirtyFlag ;
    }
    /**
     * 获取 [工作流状态]
     */
    @JsonProperty("imwfstate")
    @JSONField(name="imwfstate")
    public String getImwfstate(){
        return this.imwfstate ;
    }

    /**
     * 设置 [工作流状态]
     */
    @JsonProperty("imwfstate")
    @JSONField(name="imwfstate")
    public void setImwfstate(String imwfstate){
        this.imwfstate = imwfstate ;
        this.imwfstateDirtyFlag = true ;
    }

    /**
     * 获取 [工作流状态]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getImwfstateDirtyFlag(){
        return this.imwfstateDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public void setCreateMan(String createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [阅知对象]
     */
    @JsonProperty("yzdx")
    @JSONField(name="yzdx")
    public String getYzdx(){
        return this.yzdx ;
    }

    /**
     * 设置 [阅知对象]
     */
    @JsonProperty("yzdx")
    @JSONField(name="yzdx")
    public void setYzdx(String yzdx){
        this.yzdx = yzdx ;
        this.yzdxDirtyFlag = true ;
    }

    /**
     * 获取 [阅知对象]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getYzdxDirtyFlag(){
        return this.yzdxDirtyFlag ;
    }
    /**
     * 获取 [内部审核]
     */
    @JsonProperty("ngsh")
    @JSONField(name="ngsh")
    public String getNgsh(){
        return this.ngsh ;
    }

    /**
     * 设置 [内部审核]
     */
    @JsonProperty("ngsh")
    @JSONField(name="ngsh")
    public void setNgsh(String ngsh){
        this.ngsh = ngsh ;
        this.ngshDirtyFlag = true ;
    }

    /**
     * 获取 [内部审核]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getNgshDirtyFlag(){
        return this.ngshDirtyFlag ;
    }
    /**
     * 获取 [缓急程度]
     */
    @JsonProperty("hjcd")
    @JSONField(name="hjcd")
    public String getHjcd(){
        return this.hjcd ;
    }

    /**
     * 设置 [缓急程度]
     */
    @JsonProperty("hjcd")
    @JSONField(name="hjcd")
    public void setHjcd(String hjcd){
        this.hjcd = hjcd ;
        this.hjcdDirtyFlag = true ;
    }

    /**
     * 获取 [缓急程度]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getHjcdDirtyFlag(){
        return this.hjcdDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public void setUpdateMan(String updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [领导人员清单]
     */
    @JsonProperty("ldids")
    @JSONField(name="ldids")
    public String getLdids(){
        return this.ldids ;
    }

    /**
     * 设置 [领导人员清单]
     */
    @JsonProperty("ldids")
    @JSONField(name="ldids")
    public void setLdids(String ldids){
        this.ldids = ldids ;
        this.ldidsDirtyFlag = true ;
    }

    /**
     * 获取 [领导人员清单]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getLdidsDirtyFlag(){
        return this.ldidsDirtyFlag ;
    }
    /**
     * 获取 [会签部门人员清单]
     */
    @JsonProperty("hqbmids")
    @JSONField(name="hqbmids")
    public String getHqbmids(){
        return this.hqbmids ;
    }

    /**
     * 设置 [会签部门人员清单]
     */
    @JsonProperty("hqbmids")
    @JSONField(name="hqbmids")
    public void setHqbmids(String hqbmids){
        this.hqbmids = hqbmids ;
        this.hqbmidsDirtyFlag = true ;
    }

    /**
     * 获取 [会签部门人员清单]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getHqbmidsDirtyFlag(){
        return this.hqbmidsDirtyFlag ;
    }
    /**
     * 获取 [跨公司部门]
     */
    @JsonProperty("kgsbm")
    @JSONField(name="kgsbm")
    public String getKgsbm(){
        return this.kgsbm ;
    }

    /**
     * 设置 [跨公司部门]
     */
    @JsonProperty("kgsbm")
    @JSONField(name="kgsbm")
    public void setKgsbm(String kgsbm){
        this.kgsbm = kgsbm ;
        this.kgsbmDirtyFlag = true ;
    }

    /**
     * 获取 [跨公司部门]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getKgsbmDirtyFlag(){
        return this.kgsbmDirtyFlag ;
    }
    /**
     * 获取 [重要事项审批步骤]
     */
    @JsonProperty("wfstep")
    @JSONField(name="wfstep")
    public String getWfstep(){
        return this.wfstep ;
    }

    /**
     * 设置 [重要事项审批步骤]
     */
    @JsonProperty("wfstep")
    @JSONField(name="wfstep")
    public void setWfstep(String wfstep){
        this.wfstep = wfstep ;
        this.wfstepDirtyFlag = true ;
    }

    /**
     * 获取 [重要事项审批步骤]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getWfstepDirtyFlag(){
        return this.wfstepDirtyFlag ;
    }
    /**
     * 获取 [主办部门]
     */
    @JsonProperty("zbbm")
    @JSONField(name="zbbm")
    public String getZbbm(){
        return this.zbbm ;
    }

    /**
     * 设置 [主办部门]
     */
    @JsonProperty("zbbm")
    @JSONField(name="zbbm")
    public void setZbbm(String zbbm){
        this.zbbm = zbbm ;
        this.zbbmDirtyFlag = true ;
    }

    /**
     * 获取 [主办部门]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getZbbmDirtyFlag(){
        return this.zbbmDirtyFlag ;
    }
    /**
     * 获取 [拟稿日期]
     */
    @JsonProperty("ngrq")
    @JSONField(name="ngrq")
    public Timestamp getNgrq(){
        return this.ngrq ;
    }

    /**
     * 设置 [拟稿日期]
     */
    @JsonProperty("ngrq")
    @JSONField(name="ngrq")
    public void setNgrq(Timestamp ngrq){
        this.ngrq = ngrq ;
        this.ngrqDirtyFlag = true ;
    }

    /**
     * 获取 [拟稿日期]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getNgrqDirtyFlag(){
        return this.ngrqDirtyFlag ;
    }
    /**
     * 获取 [PSID]
     */
    @JsonProperty("psid")
    @JSONField(name="psid")
    public String getPSId(){
        return this.pSId ;
    }

    /**
     * 设置 [PSID]
     */
    @JsonProperty("psid")
    @JSONField(name="psid")
    public void setPSId(String pSId){
        this.pSId = pSId ;
        this.pSIdDirtyFlag = true ;
    }

    /**
     * 获取 [PSID]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getPSIdDirtyFlag(){
        return this.pSIdDirtyFlag ;
    }
    /**
     * 获取 [REST]
     */
    @JsonProperty("rest")
    @JSONField(name="rest")
    public String getRest(){
        return this.rest ;
    }

    /**
     * 设置 [REST]
     */
    @JsonProperty("rest")
    @JSONField(name="rest")
    public void setRest(String rest){
        this.rest = rest ;
        this.restDirtyFlag = true ;
    }

    /**
     * 获取 [REST]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getRestDirtyFlag(){
        return this.restDirtyFlag ;
    }

}

